## Glacier

Glacier is the package management system for Everest Linux. It controls all user-installed packages on the system.
Glacier is designed from the ground up, and uses a simple, PKGBUILD-like format, for ease of use.

## Get started

Glacier requires the following packages:

- Bash (Glacier runtime)
- GNU make (package compilation)
- GCC (or any compatible C compiler)
- Git (required by some packages for source control)
- Autoconf (required by some packages for compilation)
- Automake (required by some packages for compilation)
- EITHER GNU wget (package downloads)
- OR curl (package downloads)
- ecrypt (integrity checking)


To install Glacier, clone this repository:
```
git clone https://git.everestlinux.org/EverestLinux/glacier
cd glacier/install
```
Inside the `install` directory, edit install.conf.dist, ensure all options are adequate, and save as install.conf:
```
EDITOR=your_editor_here
$EDITOR install.conf.dist
```
Run `build.sh` as root:
```
doas ./build.sh install
# OR
sudo ./build.sh install
# OR
su -c ./build.sh install
```

## Included programs

- gpkg (interfaces with and manages all packages under Glacier's local index)
- syspkg (like gpkg, except operates on the system's index)
- glist (lists all installed packages, or searches by name)
- gquery (queries information from a package)
- gpc (checks a local package against Glacier's packaging standards)
- glacier-mkprofile (updates the system profile)
